API ReferenceapimembershipGET /v1/reactivation-plans

GET /v1/reactivation-plans

Service: membership · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required

Responses

200 Reactivation plan catalog

{
  "type": "object",
  "properties": {
    "plans": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "helper": {
            "type": "string"
          },
          "price_cents": {
            "type": "integer",
            "minimum": 0
          },
          "cadence": {
            "type": "string",
            "enum": [
              "month",
              "year"
            ]
          }
        },
        "required": [
          "code",
          "label",
          "helper",
          "price_cents",
          "cadence"
        ]
      }
    }
  },
  "required": [
    "plans"
  ]
}

Example

curl -X GET https://membership.platform.loop.health/v1/reactivation-plans \
  -H "Authorization: Bearer $ACCESS_TOKEN"